
# TiRank

TiRank is a comprehensive analysis tool designed for transferring phenotype of bulk transcriptomic data to single cell or spatial transcriptomic data. Developed by Lenis Lin, TiRank is aimed at facilitating deeper insights into transcriptomic analysis through a robust and user-friendly interface.

## Installation

To install TiRank, simply use pip:

```bash
pip install TiRank
```

## Features

- Transfer phenotype from bulk to single-cell data.
- Spatial transcriptomic data analysis.
- Integration with popular data science libraries like Pandas, NumPy, and SciPy.
- Advanced visualization tools included.

## Dependencies

TiRank depends on several libraries, which are automatically installed with the package:

- PyTorch (`torch`, `torchvision`)
- Optuna (`optuna==3.4.0`)
- Pandas, NumPy, and SciPy
- Scikit-Learn, Lifelines, Statsmodels, Imbalanced-Learn
- Matplotlib, Seaborn, Pillow
- Scanpy (`scanpy==1.9.5`), GSEAPY (`gseapy==1.1.1`)
- Dash (`dash==2.14.2`), Dash Bootstrap Components (`dash-bootstrap-components==1.5.0`)

## Usage

Provide some basic usage examples or a link to the documentation where users can learn how to utilize TiRank.

## Contributing

Contributions to TiRank are welcome! Please read our contribution guidelines (link to contribution guidelines) to learn how you can contribute.

## License

TiRank is licensed under the MIT License.

## Contact

For support or queries, please reach out to Lenis Lin at 727682308@qq.com.

## Acknowledgements

Thank you to all contributors and users of TiRank. Your support is greatly appreciated!

## Further Information

For more detailed information, please visit our [GitHub repository](https://github.com/LenisLin/TiRank).